const pickupHash = 3732468094;

mp.events.add('playerInitSecretPackages', (packages)=> {
    packages.forEach((package) => {
        let colshape = mp.colshapes.newSphere(package.x, package.y, package.z, 1);
        colshape.secretPackageId= package.id;
        colshape.secretPickup = mp.game.object.createPickupRotate(pickupHash, package.x, package.y, package.z, 0, 0, 0, 512, 0, 0, true, pickupHash);
    });
});

mp.events.add("playerEnterColshape", (colshape) => {
    if(colshape.secretPickup){
        mp.events.callRemote('playerCollectedPackage', colshape.secretPackageId );
        mp.game.object.removePickup(colshape.secretPickup);
        colshape.destroy();
    }
});

mp.events.add('playerSecretPackageInfo', (totalPackages, collectedPackages)=> {
    let title = "Секретный пакет найден";
    if(collectedPackages == totalPackages){
        title = "Вы нашли все Секретные пакеты";
    }

    mp.events.call("ShowShardMessage", title, `Найдено пакетов: ${collectedPackages}/${totalPackages} `);
});