var fs = require('fs');

const packages = [
    { x: -422.77093505859375, y: 1166.211669921875, z: 325.973876953125},
    { x: -404.05560302734375, y: 1161.9130859375, z: 325.98529052734375},
    { x: -410.40142822265625, y: 1134.956298828125, z: 325.973297119140},
    { x: -428.8808288574219, y: 1138.2325439453125, z: 325.9739685058594}
];

mp.events.add("playerReady", player => {

    fs.readFile( __dirname + `/data/${player.name}.txt`, function(err,data){
        let collectedPackages = new Array();

        if(!err){
            collectedPackages = JSON.parse(data);
        }

        player.packagesCollected = collectedPackages;

        let playerPackages = new Array();

        packages.forEach((package, packageId) => {
            if (player.packagesCollected.indexOf(packageId) == -1){
                package.id = packageId
                playerPackages.push(package);
            }
        });

        player.call('playerInitSecretPackages', [playerPackages]);

    });
});

mp.events.add("playerCollectedPackage", (player, packageId) => {
    player.packagesCollected.push(packageId);
    playerStorePackagesData(player);
    console.log(`${player.name} collected secret package id: ${packageId}`);

    if( player.packagesCollected.length == packages.length){
        playerCollectAllPackages(player);
    }

    player.call('playerSecretPackageInfo', [packages.length, player.packagesCollected.length]);
});


function playerCollectAllPackages(player){
    console.log(`${player.name} collected all secret packages`);
    player.giveWeapon(mp.joaat('weapon_minigun'), 10000);
}

function playerStorePackagesData(player){
    fs.writeFile(__dirname + `/data/${player.name}.txt`, JSON.stringify(player.packagesCollected), () => {});
}